Skip to main content
POST
/
organizations
/
{organizationID}
/
projects
/
{projectID}
/
branches
/
{branchID}
/
githubapp
/
repository
Create GitHub repository mapping
curl --request POST \
  --url https://api.xata.tech/organizations/{organizationID}/projects/{projectID}/branches/{branchID}/githubapp/repository \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "githubRepositoryID": 123
}
'
{
  "id": "<string>",
  "githubRepositoryID": 123,
  "project": "<string>",
  "rootBranchId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

organizationID
string
required

Unique identifier of the organization

Pattern: [a-zA-Z0-9_-~:]+
projectID
string
required

Unique identifier of the project

branchID
string
required

Unique identifier of the branch

Body

application/json
githubRepositoryID
integer<int64>
required

GitHub repository ID

Response

Repository mapping created successfully

A mapping between a GitHub repository and a Xata project

id
string
required

Unique identifier of the mapping record

githubRepositoryID
integer<int64>
required

GitHub repository ID

project
string
required

Project ID this mapping is associated with

rootBranchId
string
required

ID of the root Xata branch mapped to this repository

createdAt
string<date-time>
required

Timestamp when the mapping was created

updatedAt
string<date-time>
required

Timestamp when the mapping was last updated